import { ElementRef, QueryList } from '@angular/core';
import { FormControl } from '@angular/forms';
import { SandboxMenuItem, SelectedSandboxAndScenarioKeys } from './shared/app-state';
import 'rxjs/add/operator/debounceTime';
import 'rxjs/add/operator/distinctUntilChanged';
import { StateService } from './shared/state.service';
import { EventManager } from '@angular/platform-browser';
import { UrlService } from './shared/url.service';
export declare class AppComponent {
    private stateService;
    private urlService;
    private eventManager;
    commandBarActive: boolean;
    totalSandboxes: number;
    filteredSandboxMenuItems: SandboxMenuItem[];
    selectedSandboxAndScenarioKeys: SelectedSandboxAndScenarioKeys;
    filter: FormControl;
    scenarioLinkElements: QueryList<ElementRef>;
    constructor(sandboxMenuItems: SandboxMenuItem[], stateService: StateService, urlService: UrlService, eventManager: EventManager);
    goToFirstScenario(event: any): void;
    goToLastScenario(event: any): void;
    onScenarioLinkKeyDown(scenarioElement: any, filterElement: any, event: any): void;
    onScenarioLinkKeyUp(scenarioElement: any, event: any): void;
    onScenarioClick(sandboxKey: string, scenarioKey: number, e: any): void;
    isSelected(sandbox: any, scenario: any): boolean;
    private findCurrentScenarioIndex();
    private goUp(scenarioElement);
    private goDown(scenarioElement);
    private focusScenarioLinkElement(index);
    private filterSandboxes(sandboxMenuItems, filter);
    private toggleCommandBar();
    private selectScenario(sandboxKey, scenarioKey);
}
